Bug Hunting Session
Bug 88374 - XLSX open:version 4.3.4.1 creates error "allgemeiner Fehler" [Hard to reproduce]
Summary: XLSX open:version 4.3.4.1 creates error "allgemeiner Fehler" [Hard to reproduce]
Status: RESOLVED DUPLICATE of bug 82430
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Reinhard Mühlbauer
URL:
Whiteboard: needsWindows
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-13 18:09 UTC by Reinhard Mühlbauer
Modified: 2016-09-19 16:48 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Test-file (40.14 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-01-16 09:04 UTC, Reinhard Mühlbauer
Details
Error-screen (8.97 KB, image/jpeg)
2015-01-16 09:07 UTC, Reinhard Mühlbauer
Details
Win 7 I/O-error screen is identical to XP error screen (8.74 KB, image/jpeg)
2015-01-23 17:52 UTC, Reinhard Mühlbauer
Details
CPU of XP-System (91.61 KB, text/html)
2015-01-31 14:31 UTC, Reinhard Mühlbauer
Details
CPU of Win 7 System -> to delete, I don't know how to do (91.61 KB, text/html)
2015-01-31 14:32 UTC, Reinhard Mühlbauer
Details
CPU of Win 7 System (58.67 KB, text/html)
2015-01-31 14:54 UTC, Reinhard Mühlbauer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Reinhard Mühlbauer 2015-01-13 18:09:04 UTC
Since I installed LibreOffice 4.3.4.1, I can not open old files *.xlsx
There comes the error:
"Allgemeiner Fehler"
"Allgemeiner Ein-/Ausgabefehler"
If I open the same file over my network with LibreOffice 4.2.0.4, there is no error. I can save the file as *.ods and then open with version 4.3.4.1, that works.
Where is the error?

Best regards
Reinhard Mühlbauer
Comment 1 raal 2015-01-14 06:28:48 UTC Comment hidden (obsolete)
Comment 2 Reinhard Mühlbauer 2015-01-16 09:04:58 UTC
Created attachment 112330 [details]
Test-file
Comment 3 Reinhard Mühlbauer 2015-01-16 09:07:25 UTC
Created attachment 112331 [details]
Error-screen
Comment 4 Reinhard Mühlbauer 2015-01-16 09:09:33 UTC
The attached document was already changed with LibreOffice 4.2.0.4 to delete sensitive information and then saved in original format.
The error is the same.
Comment 5 Robinson Tryon (qubit) 2015-01-16 09:15:39 UTC
Comment on attachment 112330 [details]
Test-file

fix mimetype
Comment 6 Robinson Tryon (qubit) 2015-01-16 09:21:27 UTC
(In reply to Reinhard Mühlbauer from comment #0)
> Since I installed LibreOffice 4.3.4.1, I can not open old files *.xlsx
> There comes the error:
> "Allgemeiner Fehler"
> "Allgemeiner Ein-/Ausgabefehler"

REPRO Steps:
- Open test file (attachment 112330 [details]) with LibreOffice


TESTING on Ubuntu 14.04:

LO 4.4.0.2: Ok
LO 4.3.5.2: Ok
LO 4.3.2.2: Ok


So NOREPRO in any 4.4 or 4.3 builds I've tested.

Might be Windows-only?
Whiteboard -> needsWindows
Comment 7 GerardF 2015-01-16 09:54:26 UTC
(In reply to Robinson Tryon (qubit) from comment #6)
 
> Might be Windows-only?
> Whiteboard -> needsWindows

Open fine with 4.3.5.2 on Windows Vista.
Comment 8 raal 2015-01-16 13:01:04 UTC
I can open file on LO 4.3.5.2, win7. In excel error message, but I can open file in excel 2010.

@Reinhard: please test with version 4.3.5.
Comment 9 Robinson Tryon (qubit) 2015-01-16 16:52:15 UTC
(In reply to raal from comment #8)
> I can open file on LO 4.3.5.2, win7. In excel error message, but I can open
> file in excel 2010.
> 
> @Reinhard: please test with version 4.3.5.

Status -> NEEDINFO

(Reinhard: please change status back to UNCONFIRMED after your tests. Thanks!)
Comment 10 Reinhard Mühlbauer 2015-01-18 14:59:13 UTC
I have installed version 4.3.5.2, but the error did not change.
Comment 11 Reinhard Mühlbauer 2015-01-18 17:56:12 UTC
Now I have installed version 4.4.0.2, but there comes the same error.
I work with Windows XP SP3 with all updates.
Comment 12 raal 2015-01-18 19:11:04 UTC
I think it's a problem on your computer, because I can open file without problem (or maybe winXP specific).

For the test, could you rename your LibreOffice directory profile (see https://wiki.documentfoundation.org/UserProfile) and give it a new try?
Comment 13 Reinhard Mühlbauer 2015-01-19 13:42:59 UTC
Now I have installed LO 4.2.0.4 again: No error !!!
Then I installed LO 4.4.0.2: Open error.
The error source is not the operating system!
Comment 14 Robinson Tryon (qubit) 2015-01-19 21:59:43 UTC
(In reply to raal from comment #12)
> I think it's a problem on your computer, because I can open file without
> problem (or maybe winXP specific).

I'll tag it as such, and see if we can get confirmation...
Whiteboard -> needsWindowsXP
Comment 15 raal 2015-01-21 09:13:12 UTC
(In reply to Reinhard Mühlbauer from comment #13)
> Now I have installed LO 4.2.0.4 again: No error !!!
> Then I installed LO 4.4.0.2: Open error.
> The error source is not the operating system!

Have you tried to reset the user profile?
Comment 16 Reinhard Mühlbauer 2015-01-21 10:59:44 UTC
Yes, I renamed it. The error stayed.
Comment 17 Reinhard Mühlbauer 2015-01-23 17:52:18 UTC
Created attachment 112736 [details]
Win 7 I/O-error screen is identical to XP error screen
Comment 18 Reinhard Mühlbauer 2015-01-23 17:55:27 UTC
Now I installed LO 4.4.0.2 on another PC in my network running Windows 7.
There is the same error. See screenshot.
Comment 19 Robinson Tryon (qubit) 2015-01-23 19:36:30 UTC
(In reply to Reinhard Mühlbauer from comment #18)
> Now I installed LO 4.4.0.2 on another PC in my network running Windows 7.
> There is the same error. See screenshot.

Okay, scratch the winXP requirement.
Whiteboard -> (change to) needsWindows

(In reply to GerardF from comment #7)
> Open fine with 4.3.5.2 on Windows Vista.

(In reply to raal from comment #8)
> I can open file on LO 4.3.5.2, win7.

Two NOREPROs with same version on Windows, one same version, so
Summary -> [hard to repro]
Comment 20 raal 2015-01-23 19:40:17 UTC
(In reply to Reinhard Mühlbauer from comment #18)
> Now I installed LO 4.4.0.2 on another PC in my network running Windows 7.
> There is the same error. See screenshot.

Where the file is stored? Is it on network disk?
Do you observe this error when file is stored on local PC, eg. on desktop?
Comment 21 Reinhard Mühlbauer 2015-01-23 22:26:51 UTC
That does not matter. Local or network files create the same error
Comment 22 Reinhard Mühlbauer 2015-01-25 21:21:11 UTC
To localize the time at which the defect appears, I checked several versions.
Sequence of work on Windows XP:
1. uninstall LO
2. clean registry with ccleaner.exe twice
3. rename user profile directory
4. reboot system
5. install next version of LO
6. test LO opening *.ods and *.xlsx files

4.2.0.4 is ok / 4.2.1.1 is ok / 4.2.2.1 is ok / 4.2.3.1 is ok / 4.2.3.2 is ok
4.2.3.3 is ok / 4.2.4.1 is ok / 4.2.4.2 is ok / 4.2.5.1 is ok / 4.2.5.2 is ok
4.2.6.1 is ok / 4.2.6.2 is ok / 4.2.6.3 is ok / 4.2.7.1 is ok / 4.2.7.2 is ok
4.2.8.1 is ok / 4.2.8.2 is ok
4.3.0.1 install: explorer crash; start: explorer crash
4.3.0.2 install: explorer crash; start: explorer crash
4.3.0.3 install: hangs; explorer crash
4.3.0.4 install: hangs; explorer crash
4.3.1.1 install: explorer crash; start: explorer crash
4.3.1.2 install: ok; start: fatal error
4.3.2.1 install: ok; start: fatal error
4.3.2.2 install: ok; start: fatal error
4.3.3.1 install: ok; start: ok; openOds: LO halted; openXlsx: I/O error
4.3.3.2 install: ok; start: ok; openOds: LO halted; openXlsx: I/O error
4.3.4.1 install: ok; start: ok; openOds: ok; openXlsx: I/O error
4.3.5.1 install: ok; start: ok; openOds: ok; openXlsx: I/O error
4.3.5.2 install: ok; start: ok; openOds: ok; openXlsx: I/O error
4.4.0.2 install: ok; start: ok; openOds: ok; openXlsx: I/O error
Comment 23 Alberto Ferreira 2015-01-30 17:25:27 UTC
Since the compiler for libreoffice was change to Visual Studio 2012 the older CPU is not supoorted by LibreOffice.

Look at this LibreOffice News.
https://wiki.documentfoundation.org/LOWN/5
....
LibreOffice 4.3 is not usable on < SSE2 CPU.
....


Nota:
I have some Pebtium II and Pentium II whith XP working but only with Libreoffice 4.2....

Best Regards,
Alberto Ferreira
Comment 24 Reinhard Mühlbauer 2015-01-31 14:31:05 UTC
Created attachment 112994 [details]
CPU of XP-System
Comment 25 Reinhard Mühlbauer 2015-01-31 14:32:19 UTC
Created attachment 112995 [details]
CPU of Win 7 System -> to delete, I don't know how to do
Comment 26 Reinhard Mühlbauer 2015-01-31 14:54:33 UTC
Created attachment 112998 [details]
CPU of Win 7 System
Comment 27 Reinhard Mühlbauer 2015-01-31 15:46:52 UTC
Is it possible to check the CPU by start of LO, if the necessary instruction set SSE2 is pressent, an then create a meanigful error message?
Nobody will understand, that the message "general I/O-error" comes from wrong CPU innards.
The system requirements of the software do not specify the necessary instruction set of the CPU. Only operating system and memory space are defined.
Therefore it is hard to find such errors without meaningful messages.
Comment 28 Michael Stahl (CIB) 2015-02-06 13:25:51 UTC
we already have a bug for the SSE2 requirement, it's partially fixed but not fully and iirc it's not obvious where the remaining problem is and we would need to locate the faulting instructions with a stack trace from windbg or VisualStudio...

(that is for the Athlon XP CPUs which are just 10 years old; the Pentium II that doesn't even have SSE1 is so antique that it really doesn't make sense to continue to support it)

*** This bug has been marked as a duplicate of bug 82430 ***
Comment 29 Robinson Tryon (qubit) 2015-12-18 10:39:00 UTC Comment hidden (obsolete)
Comment 30 Xisco Faulí 2016-09-19 16:48:10 UTC Comment hidden (obsolete)